//=======================================================================
//
//	Main.cpp   			 Copyright R.W. Le Maitre 2002 - Version 1.0
//
//=======================================================================

#include "IUGSTAS.h"
#include "Tasks.h"

void StartTask(char* task);
void EndTask(char* task);

const char* line1 = "";
const char* line2 = "===========================================================================";

// 
//		 main
// 
int main()
{
	char	input[120];
	
	cout << line2 << endl;
	cout << "Running IUGSTAS package                          R.W. Le Maitre 2002" << endl;
	cout << line2 << endl << endl;

	do{
		cout << line2 << endl;
		cout << "MAIN TASK MENU" << endl;
		cout << line2 << endl;
		cout << "Enter 1 to run task TASNames() - abort with " << AbortCmd() << endl;
		cout << "      2 to run task TASNameInteractive()" << endl;
		cout << "      3 to run task TASNamesTest()" << endl;
		cout << "      4 to run task RandomCIPWTest() - abort with " << AbortCmd() << endl;
		cout << "      any other character to terminate execution:  ";
		
		cin.getline(input, 120);
		cout << endl;
		
		switch(input[0]) {
			case '1':
				StartTask("TASNames()");
				TASNames();
				EndTask("TASNames()");
				break;
				
			case '2':
				StartTask("TASNameInteractive()");
				TASNameInteractive();
				EndTask("TASNameInteractive()");
				break;
				
			case '3':
				StartTask("TASNamesTest()");
				TASNamesTest();
				EndTask("TASNamesTest()");
				break;
				
			case '4':
				StartTask("RandomCIPWTest()");				
				RandomCIPWTest(10);
				EndTask("RandomCIPWTest()");
				break;
			
			default:
				cout << line2 << endl;
				cout << bellChar << "*** User terminated execution of IUGSTAS package ***" << endl;
				cout << line2 << endl;
				exit(1);	
		}
	} while (true);
	return 0;
}

// 
//		 StartTask
// 
void StartTask(char* task)
{
	cout << line1 << endl;
	cout << "*** Running task " << task << "." << endl << endl;
}

// 
//		 EndTask
// 
void EndTask(char* task)
{
	cout << "*** Exiting task " << task << "." << endl;
	cout << line1 << endl << endl;
}
